@echo off
rem This is the CreateTypes script, which is used to add the data source and
rem data types into Impact, for the XML dsa.
set IMPACT_CLASSPATH=__IMPACT_CLASSPATH__
set JREEXEC=__JREEXEC__
set BASEDIR=__BASEDIR__

if "%1" EQU "-help" goto syntax
if "%1" EQU "" goto syntax
if "%2" EQU "" goto syntax
if "%3" EQU "" goto syntax
if "%4" EQU "" goto syntax
if "%5" EQU "" goto syntax
goto firstparamok

:syntax
echo CreateTypes: invalid syntax
echo proper syntax:
echo "CreateTypes <server name> <username> <password> <xsd file name> <super type name> [name space prefix] "
goto end

:firstparamok
echo  Generating the type names from the xsd file
"%JREEXEC%" -Xmx128M -Dbase.directory="%BASEDIR%" -Dapp=CreateTypes -Dname=%1 -classpath "%BASEDIR%\dsa\XmlDsa\bin\XmlMediatorUtil.jar;%IMPACT_CLASSPATH%" com.micromuse.dsa.XmlDsa.XSDParser %4 NameOutputFile

echo Inserting the data source and data types
"%JREEXEC%" -Xmx128M -Dbase.directory="%BASEDIR%" -Dapp=CreateTypes -Dname=%1 -classpath "%BASEDIR%\dsa\XmlDsa\bin\XmlMediatorUtil.jar;%IMPACT_CLASSPATH%" com.micromuse.dsa.XmlDsa.CreateXmlTypesHelper %2 %3 NameOutputFile XmlDsaMediatorDataSource %5 %6

:end
