#!/usr/bin/perl
print "Content-type:text/xml\n\n";

print "<!--
 Copyright (C) 2000 Brett McLaughlin. All rights reserved.
Redistribution and use in source and binary forms, with or without modifica-
tion, are permitted provided that the following conditions are met:
1. Redistributions of source code must retain the above copyright notice,
   this list of conditions, and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions, the disclaimer that follows these conditions,
   and/or other materials provided with the distribution.
3. Productsderived from this software may not be called \"Java and XML\", nor may
    \"Java and XML\" appear in their name, without prior written permission from
    Brett McLaughlin (brett@newInstance.com).
THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS  FOR A PARTICULAR  PURPOSE ARE  DISCLAIMED.  IN NO  EVENT SHALL  THE
JDOM PROJECT  OR ITS CONTRIBUTORS  BE LIABLE FOR  ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL  DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT  OF SUBSTITUTE GOODS OR SERVICES; LOSS
OF USE, DATA, OR  PROFITS; OR BUSINESS  INTERRUPTION)  HOWEVER CAUSED AND ON
ANY  THEORY OF LIABILITY,  WHETHER  IN CONTRACT,  STRICT LIABILITY,  OR TORT
(INCLUDING  NEGLIGENCE OR  OTHERWISE) ARISING IN  ANY WAY OUT OF THE  USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
This software was originally created by Brett McLaughlin 
<brett@newInstance.com>.
For more  information on \"Java and XML\", please see <http://www.oreilly.com/catalog/javaxml/>
or <http://www.newInstance.com>.
-->

<!--?xml-stylesheet href=\"XSL\JavaXML.html.xsl\" type=\"text/xsl\"?>
<?xml version=\"1.0\"?>
<?xml-stylesheet href=\"XSL\JavaXML.wml.xsl\" type=\"text/xsl\" 
                 media=\"wap\"?>
<?cocoon-process type=\"xslt\"?>
-->

<!-- Java and XML -->
<JavaXML:Book xmlns:JavaXML=\"http://www.oreilly.com/catalog/javaxml/\">
 <JavaXML:Title>Java and XML</JavaXML:Title>
 <JavaXML:Contents>

  <JavaXML:Chapter focus=\"XML\">
   <JavaXML:Heading>Introduction</JavaXML:Heading>
   <JavaXML:Topic subSections=\"7\">What Is It?</JavaXML:Topic>
   <JavaXML:Topic subSections=\"3\">How Do I Use It?</JavaXML:Topic>
   <JavaXML:Topic subSections=\"4\">Why Should I Use It?</JavaXML:Topic>
   <JavaXML:Topic subSections=\"0\">What's Next?</JavaXML:Topic>
  </JavaXML:Chapter>

  <JavaXML:Chapter focus=\"XML\">
   <JavaXML:Heading>Creating XML</JavaXML:Heading>
   <JavaXML:Topic subSections=\"0\">An XML Document</JavaXML:Topic>
   <JavaXML:Topic subSections=\"2\">The Header</JavaXML:Topic>
   <JavaXML:Topic subSections=\"6\">The Content</JavaXML:Topic>
   <JavaXML:Topic subSections=\"1\">What's Next?</JavaXML:Topic>
  </JavaXML:Chapter>

  <JavaXML:Chapter focus=\"Java\">
   <JavaXML:Heading>Parsing XML</JavaXML:Heading>
   <JavaXML:Topic subSections=\"3\">Getting Prepared</JavaXML:Topic>
   <JavaXML:Topic subSections=\"3\">SAX Readers</JavaXML:Topic>
   <JavaXML:Topic subSections=\"9\">Content Handlers</JavaXML:Topic>
   <JavaXML:Topic subSections=\"4\">Error Handlers</JavaXML:Topic>
   <JavaXML:Topic subSections=\"0\">
     A Better Way to Load a Parser
   </JavaXML:Topic>
   <JavaXML:Topic subSections=\"4\">\"Gotcha!\"</JavaXML:Topic>
   <JavaXML:Topic subSections=\"0\">What's Next?</JavaXML:Topic>
  </JavaXML:Chapter>

  <JavaXML:SectionBreak/>

  <JavaXML:Chapter focus=\"Java\">
   <JavaXML:Heading>Web Publishing Frameworks</JavaXML:Heading>
   <JavaXML:Topic subSections=\"4\">Selecting a Framework</JavaXML:Topic>
   <JavaXML:Topic subSections=\"4\">Installation</JavaXML:Topic>
   <JavaXML:Topic subSections=\"3\">
     Using a Publishing Framework
   </JavaXML:Topic>
   <JavaXML:Topic subSections=\"2\">XSP</JavaXML:Topic>
   <JavaXML:Topic subSections=\"3\">Cocoon 2.0 and Beyond</JavaXML:Topic>
   <JavaXML:Topic subSections=\"0\">What's Next?</JavaXML:Topic>
  </JavaXML:Chapter>

 </JavaXML:Contents>

</JavaXML:Book>";
